#include "m13_ra6m3_ek_switch.h"
#include "m13_ra6m3_ek_vcom.h"
#include "common_data.h"

uint8_t sw1_pressed, sw2_pressed;

void switch_task(void *parameters)
{
    FSP_PARAMETER_NOT_USED (parameters);

    bsp_switch_io_init();

    while (1)
    {
        if( bsp_switch_status(BSP_SW1) == BSP_SW_PRESSED )
        {
            PRINTF_INFO("SW1 pressed \r\n");

            sw1_pressed = 1;
            vTaskDelay (500);
        }

        if( bsp_switch_status(BSP_SW2) == BSP_SW_PRESSED )
        {
            PRINTF_INFO("SW2 pressed \r\n");

            sw2_pressed = 1;
            vTaskDelay (500);
        }

        vTaskDelay (10);
    }
}
